/**
 * @overview Style themes data.
 * @type {object}
 */

var path = require('path'),
    themesTmplDir = path.resolve(__dirname, '../../tmpl/less/themes');

function tmpl(filename) {
    return path.resolve(themesTmplDir, filename);
}

exports.btn = {
    tmpl: tmpl('btn-theme-mixin.less.hbs'),
    choices: {
        borderRadius: [false, '4px'],
        bold: [false, true]
    }
};

//exports.checkboxRadio = {
//    tmpl: tmpl('checkbox-radio-theme-mixins.less.hbs'),
//    filename: 'checkbox-radio-theme-mixins.less',
//    choices: {
//        hasBackground: [true, false]
//    }
//};
exports.anchor = {
    tmpl: tmpl('anchor-theme-mixins.less.hbs'),
    choices: {
        textDecoration: ['none', 'underline'],
        textShadowOnHover: [false, '1px 1px 0px rgba(0, 0, 0, 0.25)']
    }
};
exports.table = {
    tmpl: tmpl('table-theme-mixin.less.hbs'),
    choices: {
        cellPadding: ['4px 8px'],
        outerBorder: [true, false]
    }
};
exports.nav = {
    tmpl: tmpl('nav-theme-mixin.less.hbs'),
    choices: {
        itemSeparator: [true, false]
    }
};
exports.masthead = {
    tmpl: tmpl('masthead-theme-mixin.less.hbs'),
    choices: {
        descriptionAlign: ['left', 'right']
    }
};